[Logcheck-commits] CVS logcheck/debian

CVS User ttroxell logcheck-devel@lists.alioth.debian.org
Tue, 19 Apr 2005 15:54:49 +0000


Update of /cvsroot/logcheck/logcheck/debian
In directory haydn:/tmp/cvs-serv23414/debian

Modified Files:
	logcheck.postinst 
Log Message:
patch postinst to set owner correctly


--- /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2005/04/19 03:10:42	1.34
+++ /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2005/04/19 15:54:49	1.35
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: logcheck.postinst,v 1.34 2005/04/19 03:10:42 ttroxell Exp $
+# $Id: logcheck.postinst,v 1.35 2005/04/19 15:54:49 ttroxell Exp $
 
 set -e
 
@@ -57,11 +57,15 @@
         if [ "$2" = "" -a ! -f /etc/logcheck/header.txt ]; then
           cp -p /usr/share/logcheck/header.txt /etc/logcheck
         fi
+
+	if dpkg --compare-versions "$2" lt "1.2.39"; then
+          chown -R logcheck:logcheck /var/lock/logcheck || true
+        fi
+
 	# This gets executed even if there is no $2.
 	if dpkg --compare-versions "$2" lt "1.2.34"; then
     	  # Fix Permissions
     	  chown -R logcheck:logcheck /var/lib/logcheck  || true
-	  chown -R logcheck:logcheck /var/lock/logcheck || true
           chgrp -R logcheck /etc/logcheck || true
           chmod 2750 /etc/logcheck/ignore.d.paranoid || true
           chmod 2750 /etc/logcheck/ignore.d.workstation || true